Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 881347 - shim 0.2-1 causing GRUB to check for kernel signature on UEFI without secureboot
Summary: shim 0.2-1 causing GRUB to check for kernel signature on UEFI without secureboot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shim
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-28 18:37 UTC by Andrew Gunnerson
Modified: 2015-02-17 14:35 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 14:35:21 UTC
Type: Bug


Attachments (Terms of Use)
yum history of the update (31.69 KB, text/x-log)
2012-11-28 18:43 UTC, Andrew Gunnerson
no flags Details

Description Andrew Gunnerson 2012-11-28 18:37:31 UTC
I currently use a custom kernel on my Fedora 18 installation and I rebooted yesterday, after the updates, only to find that GRUB 2 fails to load any of my kernels. It fails with the error message "invalid signature".

It was my understanding that GRUB 2 should only check the signature on the kernel if secureboot is turned off or if it's unsupported. In my case, my Lenovo W520 does not support secureboot at all, yet GRUB 2 is still checking for the signature.

Comment 1 Andrew Gunnerson 2012-11-28 18:43:21 UTC
Created attachment 653674 [details]
yum history of the update

I've attached the output of "yum history info 369", which was the update that where the issue started. I'm not 100% sure it's a GRUB 2 issue, but I don't see any other package that might have caused the issue.

Comment 2 Andrew Gunnerson 2012-12-02 06:23:50 UTC
Okay, this is actually

Comment 3 Andrew Gunnerson 2012-12-02 06:24:36 UTC
Sorry about the last comment. I meant to say that this is actually a bug in shim. I downgraded the packages one by one and found that shim caused the issue.

Comment 4 Fedora End Of Life 2013-04-03 17:04:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Fedora End Of Life 2015-01-09 17:29:58 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-02-17 14:35:21 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.